Using the Field Activation Utility

What Is the Field Activation Utility?

To update the hardware key (dongle) used to run your application, you must provide information about the key to your software provider. The Field Activation Utility displays this information in the form of a locking code, similar to the following:

FAFSAAFFANBCHFFVHPFYCIEWBAFYHZEIHLIJFJJUIRHCDUDRHYCVBCGQCPISDUDHAPDFJDGTJBGWFPAJFPGYJCCVCLGEBCEDGA
BUCEAHDPGZCLHTGEDSEFJDGLGGEIIPCIASHWGOGQFRIUFOQX

You must communicate the locking code to the software provider as they have instructed (for example, via fax, mail or e-mail). The provider will then give you a corresponding license code to enter into the Field Activation Utility.

Note: The locking code and license code have a one-to-one relationship
Please note that locking code and license code form a unique pair. So, the license code you receive will be uniquely associated with the locking code it was generated against.

See Also:

  • What Is a Locking Code?

  • What Is a License Code?

  • Generating a Locking Code

  • Entering a License Code


What Is a Locking Code?

The locking code for a key includes information about how the key is currently programmed. Your software provider must receive a locking code from you in order to update your key and its corresponding application.

Note: Locking codes are unique for each key
Please note that locking codes are unique for each key. Therefore, if you are planning to update multiple keys, you must generate locking code for each key individually. It is also necessary that only one key is attached at the time of generating locking code.

See Also:

  • Generating a Locking Code


What Is a License Code?

The license code provided to you by your software provider will reprogram the hardware key used to run the application, giving you access to the additional services or features you have purchased. License codes look the same as locking codes.

The license code is based on the locking code you generate and send to your software provider. When you enter the license code in the Field Activation Utility, a script is automatically run that updates the key, and thus the application.

Note: License codes are unique to the key they were generated for
License codes are unique to the key they were generated for. License codes used with one key cannot be used to update another key. It is also necessary that at the time of applying license code only the correct key is attached to your system.

See Also:

  • Entering a License Code


Generating a Locking Code

Obtaining a Locking Code

  1. Verify the correct hardware key is attached to your computer.

Tip: Make sure that your key is attached firmly
If the message “Error” appears in the top field, make sure the key is firmly attached to the port and try again.

  2. Click Get Locking Code. The locking code appears in the top field.

  3. Do one of the following:

  • Click the copy button Copies the code to Clipboard. to place the locking code on the Clipboard.

  • Click the save button Saves the code to the .LCK file to save the locking code to a file. Define a location and file name for the file, then click Save.

  4. Send the locking code to the software provider as directed.

  5. Wait to continue the update process until you have received the license code from your software provider. You can leave the Field Activation Utility open, or you may close it. Either way, the license code you receive from your software provider will update your key correctly.


Entering a License Code

  1. Verify the correct key is attached to your computer. Only one hardware key should be attached to your computer during the update process.

  2. In the field above the Update License button, enter the license code given to you by your software provider. Do one of the following:

  3. Click the paste button Pastes the code from Clipboard to paste the code from the Clipboard, if it was placed there.

  4. Click the open button Loads the code from the .LIC file. to load the code from a file. Browse to locate the file (.LIC), then click Open.

  3. Click Update License. The key update process begins; it may take up to two or three minutes to complete the process.

  4. When “Success” appears, close the Field Activation Utility.

The application is now ready to use, and you should have access to the additional licenses or new features you purchased.

If the update process is not successful, verify the key is securely attached to your computer and try again. If the process is still unsuccessful, or you do not have access to the upgrades you purchased when the process is complete, contact your software provider for assistance.


Getting Help

If you have questions, need additional assistance, or encounter a problem, please contact your software provider.


What Is a License Code?

The license code for a key describes the actions to be performed on a key in the field. It determines how the application will be activated or updated; for example, what new features you will have access to, or the number of additional licenses that will be added.

The license code is generated by your software provider based on the locking code you generate and send to them. When you enter the license code in the Field Activation Utility, a script is automatically run that updates the key, and thus the application.

License codes are unique to the key the locking code was generated from.